MediaWiki:Vector.css: Difference between revisions

From Honkai: Nexus Anima Wiki
Jump to navigation Jump to search
Created page with "All CSS here will be loaded for users of the Vector skin: Hide "Read" tab: body.action-view #p-views li#ca-view { display: none !important; }"
 
Kuhlau (talk | contribs)
slowly adding things in piece by piece, we should probably move imports to gadgets perhaps, switch page-content and skin fandomdesktop to mw-parser-output
Line 1: Line 1:
/* All CSS here will be loaded for users of the Vector skin */
/* All CSS here will be loaded for users of the Vector skin */
@import url("/load.php?mode=articles&articles=MediaWiki:Variables.css|MediaWiki:Mbox.css|MediaWiki:FD_Mbox.css|MediaWiki:Infobox.css|MediaWiki:Quotes.css|MediaWiki:Navbox.css|MediaWiki:Font.css|MediaWiki:Item.css|MediaWiki:Colors.css|MediaWiki:Gallery.css|MediaWiki:CustomTabs.css|MediaWiki:Tables.css|MediaWiki:EditorDashboard.css|MediaWiki:Documentation.css|MediaWiki:Dialogue.css|MediaWiki:Tooltip.css|MediaWiki:Keys.css|MediaWiki:StaffColors.css|MediaWiki:Rubi.css|MediaWiki:Events.css|MediaWiki:Attributes.css|MediaWiki:ChangeHistory.css|MediaWiki:Icon.css&only=styles");
/* Import Font */
@import url('https://fonts.googleapis.com/css2?family=Quicksand:[email protected]&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;700&family=Noto+Sans+KR:wght@400;700&family=Noto+Sans+SC:wght@400;700&family=Noto+Sans+TC:wght@400;700&family=Noto+Sans+Thai:wght@400;700&family=Noto+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Noto+Sans+Avestan:wght@400;700&family=Noto+Sans+Hebrew:wght@400;700&display=swap');
:root {
--theme-page-headings-font: 'Quicksand';
}
.mobileHide, .mobile-only, .no-desktop { display: none; }
.no-border { border: none !important; }
.no-wrap { white-space: nowrap; }
.align-right { text-align: right; }
.align-center { text-align: center; }
.align-left { text-align: left; }
.cont-inline-block { display: inline-block; }
.cont-flex { display: flex; flex-wrap: wrap; }
.cont-inline-flex { display: inline-flex; flex-wrap: wrap; }
/* nowrap for nth child (add as we go) */
.nowrap-1 td:nth-child(1),
.nowrap-2 td:nth-child(2),
.nowrap-3 td:nth-child(3) { white-space: pre; }
hr {
margin: 5px 0;
border: none;
height: 1px;
color: var(--theme-border-color);
background-color: var(--theme-border-color);
}
/* Hatnote styling */
.hatnote {
border-left: 3px solid var(--theme-accent-color);
padding: 3px 10px;
border-radius: 3px;
background: linear-gradient(145deg, rgba(var(--theme-accent-color--rgb),0.15) 0%, rgba(var(--theme-accent-color--rgb),0) 100%);
margin: 5px 0;
}
/* Description list in table */
.mw-parser-output table dl { margin: 0; }
/* Making paragraphs more apparent by incresing line height */
.mw-parser-output p {
margin-top: 0.8em;
margin-bottom: 0.8em;
}
/* Column template fix */
.mw-parser-output .columntemplate ul,
.mw-parser-output .columntemplate ol { margin: 0 0 0 30px; }
.mw-parser-output .columntemplate { margin: 6px 0 6px 0; }
/* Reduce bottom margin of lists */
.mw-parser-output ol, .mw-parser-output ul { margin: 6px 0 6px 36px; }
/* inline unordered list seperated by pipe */
.mw-content-ltr ul.pipe_delimit { margin: 0px; }
.mw-content-ltr ul.pipe_delimit li { display:inline; }
.mw-content-ltr ul.pipe_delimit li + li::before { content: " | "; }
/* For [[Template:Tutorial]] */
.tutorial dd { margin-left: 0; }
.tutorial .tutorial-detail {
display: flex;
gap: 4px;
align-items: flex-start;
margin: 10px 0;
}
.tutorial .tutorial-detail > a.image { overflow: visible !important; }
.tutorial .tutorial-detail > a.new {
flex: 0 0 200px;
height: 110px;
background-image: url(https://hna.wiki/images/Unknown.png);
background-size: contain;
background-repeat: no-repeat;
background-position: center;
font-size: 0;
}
.mw-parser-output .dialogue .tutorial dt {
font-weight: 700;
font-style: inherit;
font-size: inherit;
}
/* [[Template:Fairuse]] */
.mw-parser-output .fairuse { border-collapse: collapse; }
.mw-parser-output .fairuse th {
background: var(--theme-accent-color);
text-transform: uppercase;
font-weight: 700;
text-align: center;
}
.mw-parser-output .fairuse td,
.mw-parser-output .fairuse tr { border: 1px solid var(--theme-border-color); }
.mw-parser-output .fairuse tr:nth-child(2) td { padding: 0.5em 1em; }
.mw-parser-output .fairuse tr:nth-child(3) td {
padding: 1em;
font-size: 0.8em;
}
.fairuse-disclaimer {
display: inline-block;
background: var(--theme-accent-color);
font-weight: 700;
padding: 0 5px;
margin-right: 5px;
}
/* Template:Description Sibling margin */
.description-wrapper + .description-wrapper { margin-top: 1em; }
/* Styling for <templatedata> parameter and alias */
.mw-templatedata-doc-param-name code {
background-color: var(--theme-page-background-color--secondary);
border-radius: 2px;
padding: 1px 4px;
}
/* Styling for <templatedata> Suggested values */
.mw-templatedata-doc-params td dd code {
display: list-item;
width: fit-content;
line-height: 18px;
}
/* Styling for <templatedata> edit header, brackets, and formatting */
.mw-templatedata-doc-params caption {
margin: 0.2em 0.4em;
.mw-templatedata-caption {
font-size: 1.2em;
font-weight: bold;
.mw-editsection-like {
font-size: small;
font-weight: normal;
margin-left: 8px;
.mw-editsection-bracket {
display: inline;
}
}
}
p {
.oo-ui-widget {
display: none;
}
.mw-templatedata-format {
margin-left: 0;
}
}
}
/* MediaWiki:Edittools styling */
.edittools-list {
display: flex;
flex-direction: row;
flex-wrap: wrap;
gap: 3px;
}
.edittools-list > code {
display: flex;
gap: 2px;
}
.edittools-list div.mw-collapsible {
padding: 0;
display: inline;
}
.edittools-list span.mw-collapsible-toggle { padding: 0 3px; }
.edittools-wrapper {
display: flex;
flex-direction: column;
gap: 5px;
border: 1px solid var(--border-color);
border-radius: 3px;
padding: 8px;
font-size: small
}
#edittools-description {
margin-top: 1em;
margin-bottom: 0.7em;
}
/* For [[Template:Event Countdown]] */
.eventcountdown {
display: flex;
flex-flow: row nowrap;
justify-content: space-around;
text-align: center;
gap: 5px;
margin-bottom: 10px;
}
.eventcountdown .eventcountdown-region {
width: 100%;
border-radius: 5px;
background-color: var(--theme-page-background-color--secondary);
padding: 7px;
}
.eventcountdown .eventcountdown-region .eventcountdown-region-text {
color: var(--theme-accent-color);
font-weight: 700;
}
.eventcountdown .eventcountdown-region hr { border-color: var(--theme-accent-color); }
/* End of [[Template:Event Countdown]] */
/* Fix ugly math padding */
.mwe-math-fallback-image-inline { padding: 0 }
/* For [[Template:Handbook]], from GIW */
.handbook dd { margin-left: 0; }
.handbook .handbook-detail {
    display: flex;
    gap: 4px;
    align-items: flex-start;
    margin: 10px 0;
}
.handbook .handbook-detail > a.image { overflow: visible !important; }
.handbook .handbook-detail > a.new {
    flex: 0 0 200px;
    height: 110px;
    background-image: url(https://static.wikia.nocookie.net/honkai-nexus-anima/images/d/dd/Unknown.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    font-size: 0;
}
.mw-parser-output .dialogue .handbook dt {
    font-weight: 700;
    font-style: inherit;
    font-size: inherit;
}
/* Scrollbar */
::-webkit-scrollbar {
width: 12px !important;
-webkit-overflow-scrolling: auto !important;
}
::-webkit-scrollbar-track {
-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3) !important;
-webkit-border-radius: 10px !important;
border-radius: 10px !important;
}
::-webkit-scrollbar-thumb {
-webkit-border-radius: 10px !important;
border-radius: 10px !important;
background: #73ebe9 !important;
-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5) !important;
}
::-webkit-scrollbar-thumb:window-inactive {
background: #73ebe9 !important;
}
/* Remove coloring on parameter aliases on template data as it makes text hard to read */
.mw-templatedata-doc-param-alias { color: inherit; }


/* Hide "Read" tab */
/* Hide "Read" tab */

Revision as of 20:35, 13 July 2026

/* All CSS here will be loaded for users of the Vector skin */
@import url("/load.php?mode=articles&articles=MediaWiki:Variables.css|MediaWiki:Mbox.css|MediaWiki:FD_Mbox.css|MediaWiki:Infobox.css|MediaWiki:Quotes.css|MediaWiki:Navbox.css|MediaWiki:Font.css|MediaWiki:Item.css|MediaWiki:Colors.css|MediaWiki:Gallery.css|MediaWiki:CustomTabs.css|MediaWiki:Tables.css|MediaWiki:EditorDashboard.css|MediaWiki:Documentation.css|MediaWiki:Dialogue.css|MediaWiki:Tooltip.css|MediaWiki:Keys.css|MediaWiki:StaffColors.css|MediaWiki:Rubi.css|MediaWiki:Events.css|MediaWiki:Attributes.css|MediaWiki:ChangeHistory.css|MediaWiki:Icon.css&only=styles");

/* Import Font */
@import url('https://fonts.googleapis.com/css2?family=Quicksand:[email protected]&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;700&family=Noto+Sans+KR:wght@400;700&family=Noto+Sans+SC:wght@400;700&family=Noto+Sans+TC:wght@400;700&family=Noto+Sans+Thai:wght@400;700&family=Noto+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Noto+Sans+Avestan:wght@400;700&family=Noto+Sans+Hebrew:wght@400;700&display=swap');

:root {
	--theme-page-headings-font: 'Quicksand';
}

.mobileHide, .mobile-only, .no-desktop { display: none; }

.no-border { border: none !important; }

.no-wrap { white-space: nowrap; }

.align-right { text-align: right; }
.align-center { text-align: center; }
.align-left { text-align: left; }

.cont-inline-block { display: inline-block; }
.cont-flex { display: flex; flex-wrap: wrap; }
.cont-inline-flex { display: inline-flex; flex-wrap: wrap; }

/* nowrap for nth child (add as we go) */
.nowrap-1 td:nth-child(1),
.nowrap-2 td:nth-child(2),
.nowrap-3 td:nth-child(3) { white-space: pre; }

hr {
	margin: 5px 0;
	border: none;
	height: 1px;
	color: var(--theme-border-color);
	background-color: var(--theme-border-color);
}

/* Hatnote styling */
.hatnote {
	border-left: 3px solid var(--theme-accent-color);
	padding: 3px 10px;
	border-radius: 3px;
	background: linear-gradient(145deg, rgba(var(--theme-accent-color--rgb),0.15) 0%, rgba(var(--theme-accent-color--rgb),0) 100%);
	margin: 5px 0;
}

/* Description list in table */
.mw-parser-output table dl { margin: 0; }

/* Making paragraphs more apparent by incresing line height */
.mw-parser-output p {
	margin-top: 0.8em;
	margin-bottom: 0.8em;
}

/* Column template fix */
.mw-parser-output .columntemplate ul,
.mw-parser-output .columntemplate ol { margin: 0 0 0 30px; }
.mw-parser-output .columntemplate { margin: 6px 0 6px 0; }

/* Reduce bottom margin of lists */
.mw-parser-output ol, .mw-parser-output ul { margin: 6px 0 6px 36px; }

/* inline unordered list seperated by pipe */
.mw-content-ltr ul.pipe_delimit { margin: 0px; }
.mw-content-ltr ul.pipe_delimit li { display:inline; }
.mw-content-ltr ul.pipe_delimit li + li::before { content: " | "; }


/* For [[Template:Tutorial]] */
.tutorial dd { margin-left: 0; }

.tutorial .tutorial-detail {
	display: flex;
	gap: 4px;
	align-items: flex-start;
	margin: 10px 0;
}

.tutorial .tutorial-detail > a.image { overflow: visible !important; }

.tutorial .tutorial-detail > a.new {
	flex: 0 0 200px;
	height: 110px;
	background-image: url(https://hna.wiki/images/Unknown.png);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	font-size: 0;
}

.mw-parser-output .dialogue .tutorial dt {
	font-weight: 700;
	font-style: inherit;
	font-size: inherit;
}


/* [[Template:Fairuse]] */
.mw-parser-output .fairuse { border-collapse: collapse; }

.mw-parser-output .fairuse th {
	background: var(--theme-accent-color);
	text-transform: uppercase;
	font-weight: 700;
	text-align: center;
}

.mw-parser-output .fairuse td,
.mw-parser-output .fairuse tr { border: 1px solid var(--theme-border-color); }

.mw-parser-output .fairuse tr:nth-child(2) td { padding: 0.5em 1em; }

.mw-parser-output .fairuse tr:nth-child(3) td {
	padding: 1em;
	font-size: 0.8em;
}

.fairuse-disclaimer {
	display: inline-block;
	background: var(--theme-accent-color);
	font-weight: 700;
	padding: 0 5px;
	margin-right: 5px;
}

/* Template:Description Sibling margin */
.description-wrapper + .description-wrapper { margin-top: 1em; }


/* Styling for <templatedata> parameter and alias */
.mw-templatedata-doc-param-name code {
	background-color: var(--theme-page-background-color--secondary);
	border-radius: 2px;
	padding: 1px 4px;
}

/* Styling for <templatedata> Suggested values */
.mw-templatedata-doc-params td dd code {
	display: list-item;
	width: fit-content;
	line-height: 18px;
}

/* Styling for <templatedata> edit header, brackets, and formatting */
.mw-templatedata-doc-params caption {
	margin: 0.2em 0.4em;
	
	.mw-templatedata-caption {
		font-size: 1.2em;
		font-weight: bold;
	
		.mw-editsection-like {
			font-size: small;
			font-weight: normal;
			margin-left: 8px;
			
			.mw-editsection-bracket {
				display: inline;
			}
		}
	}

	p {
		.oo-ui-widget {
			display: none;
		}
	
		.mw-templatedata-format {
			margin-left: 0;
		}
	}
}

/* MediaWiki:Edittools styling */
.edittools-list {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	gap: 3px;
}
.edittools-list > code {
	display: flex;
	gap: 2px;
}
.edittools-list div.mw-collapsible {
	padding: 0;
	display: inline;
}
.edittools-list span.mw-collapsible-toggle { padding: 0 3px; }
.edittools-wrapper {
	display: flex;
	flex-direction: column;
	gap: 5px;
	border: 1px solid var(--border-color);
	border-radius: 3px;
	padding: 8px;
	font-size: small
}
#edittools-description {
	margin-top: 1em;
	margin-bottom: 0.7em;
}

/* For [[Template:Event Countdown]] */
.eventcountdown {
	display: flex;
	flex-flow: row nowrap;
	justify-content: space-around;
	text-align: center;
	gap: 5px;
	margin-bottom: 10px;
}

.eventcountdown .eventcountdown-region {
	width: 100%;
	border-radius: 5px;
	background-color: var(--theme-page-background-color--secondary);
	padding: 7px; 
}

.eventcountdown .eventcountdown-region .eventcountdown-region-text {
	color: var(--theme-accent-color);
	font-weight: 700;
}

.eventcountdown .eventcountdown-region hr { border-color: var(--theme-accent-color); }
/* End of [[Template:Event Countdown]] */

/* Fix ugly math padding */
.mwe-math-fallback-image-inline { padding: 0 }

/* For [[Template:Handbook]], from GIW */
.handbook dd { margin-left: 0; }

.handbook .handbook-detail {
    display: flex;
    gap: 4px;
    align-items: flex-start;
    margin: 10px 0;
}

.handbook .handbook-detail > a.image { overflow: visible !important; }

.handbook .handbook-detail > a.new {
    flex: 0 0 200px;
    height: 110px;
    background-image: url(https://static.wikia.nocookie.net/honkai-nexus-anima/images/d/dd/Unknown.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    font-size: 0;
}

.mw-parser-output .dialogue .handbook dt {
    font-weight: 700;
    font-style: inherit;
    font-size: inherit;
}

/* Scrollbar */
::-webkit-scrollbar {
	width: 12px !important;
	-webkit-overflow-scrolling: auto !important;
}

::-webkit-scrollbar-track {
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3) !important;
	-webkit-border-radius: 10px !important;
	border-radius: 10px !important;
}

::-webkit-scrollbar-thumb {
	-webkit-border-radius: 10px !important;
	border-radius: 10px !important;
	background: #73ebe9 !important; 
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5) !important; 
}

::-webkit-scrollbar-thumb:window-inactive {
	background: #73ebe9 !important; 
}
/* Remove coloring on parameter aliases on template data as it makes text hard to read */
.mw-templatedata-doc-param-alias { color: inherit; }

/* Hide "Read" tab */
body.action-view #p-views li#ca-view {
    display: none !important;
}